import{c as e}from"./lit-element-b842ce40.js";const i=e`#fafafa`,o=12,s=18,t=e`black`,a=e`#009E78`,n=e`#9E0000`,l=e`#feb10a`,r=e`#7E8494`,p=e`
  font-family: var(--pie-live-session-font-family, ${e`sans-serif`});
`,c=e`
  .bubble {
    background-color: white;
    box-shadow: 2px 2px 10px 2px #999;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
    border-bottom-left-radius: 16px;
    color: var(--pie-live-session-bubble-text-color, black);
    display: block;
    left: 28px;
    position: fixed;
    padding: 10px;
    top: 6px;
    z-index: 1;
    ${p}
  }

  .bubble p {
    margin: 0;
  }
`,v=e`
  .choice-value {
    cursor: pointer;
    display: flex;
  }
  .choice-content {
    max-width: 110px;
    overflow: hidden;
    max-height: 24px;
    white-space: nowrap;
    align-items: center;
    font-size: var(
      --pie-live-session-font-size-small,
      ${12}px
    );
  }
  .choice-content table,
  .choice-content img {
    align-self: flex-start;
  }
  .choice-overflow {
    position: absolute;
    right: 0;
    top: 0;
    width: 8px;
    height: 100%;
    background: linear-gradient(
      to right,
      rgba(255, 255, 255, 0),
      40%,
      var(--pie-live-session-background-color, ${i})
    );
  }
  .choice-index {
    position: relative;
    margin-right: calc(
      var(--pie-live-session-font-size-small, ${12}px) / 2
    );
  }
  .choice-icon {
    position: absolute;
    font-size: calc(
      var(--pie-live-session-font-size-small, ${12}px) / 1.2
    );
    left: calc(
      var(--pie-live-session-font-size-small, ${12}px) / 2
    );
    bottom: calc(
      var(--pie-live-session-font-size-small, ${12}px) / 3
    );
  }
`,d=e`
  .response {
    align-items: start;
    background-color: var(
      --pie-live-session-background-color,
      ${i}
    );
    box-sizing: border-box;
    color: var(--pie-live-session-text-color, ${t});
    display: flex;
    flex-direction: column;
    font-size: var(
      --pie-live-session-font-size-large,
      ${18}px
    );
    height: var(
      --pie-live-session-response-height,
      ${88}px
    );
    justify-content: start;
    overflow: hidden;
    padding: 8px;
    width: var(--pie-live-session-response-width, ${120}px);
    position: relative;
    ${p}
  }
`,x=e`
  .cell {
    background-color: var(
      --pie-live-session-background-color,
      ${i}
    );
    height: var(--pie-live-session-cell-height, ${32}px);
    font-size: var(
      --pie-live-session-font-size-small,
      ${12}px
    );
    overflow: hidden;
    width: var(--pie-live-session-cell-width, ${96}px);
    position: relative;
    ${p}
  }
`,f=e`
  .expand-response {
    align-items: center;
    background-color: var(
      --pie-live-session-background-color,
      ${i}
    );
    box-sizing: border-box;
    color: var(--pie-live-session-text-color, ${e`grey`});
    display: flex;
    font-size: ${12}px;
    font-style: italic;
    height: var(
      --pie-live-session-response-height,
      ${88}px
    );
    justify-content: center;
    overflow: hidden;
    padding: 12px;
    position: relative;
    text-align: center;
    width: var(--pie-live-session-response-width, ${120}px);
    ${p};
  }
  .magnifier {
    position: absolute;
    bottom: 0;
    right: 10px;
    transform: rotate(315deg);
    font-size: 24px;
    font-style: normal;
    font-weight: bold;
  }
`,g=e`
  .correctness-indicator {
    font-size: var(
      --pie-live-session-font-size-small,
      ${12}px
    );
    vertical-align: top;
  }
`,h=e`
  .aggregate {
    font-size: 12px;
    line-height: 1.4;
  }
`;export{h as a,g as b,x as c,o as d,f as e,c as f,v as g,p as h,s as i,t as j,i as k,a as l,n as m,l as n,r as o,d as r};
//# sourceMappingURL=cssUtils-8fd023cb.js.map
